---
lang: en
title: 'API docs: mock-oauth2-provider.userrepository.find'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/fixtures/mock-oauth2-provider
permalink: /doc/en/lb4/apidocs.mock-oauth2-provider.userrepository.find.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/mock-oauth2-provider](./mock-oauth2-provider.md) &gt; [UserRepository](./mock-oauth2-provider.userrepository.md) &gt; [find](./mock-oauth2-provider.userrepository.find.md)

## UserRepository.find() method

find by username

**Signature:**

```typescript
find(username: string): MyUser[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  username | string |  |

**Returns:**

[MyUser](./mock-oauth2-provider.myuser.md)<!-- -->\[\]


